<?php 
/**          _     _            _           ____  
 * __      _(_) __| | __ _  ___| |_  __   _|___ \ 
 * \ \ /\ / / |/ _` |/ _` |/ _ \ __| \ \ / / __) |
 *  \ V  V /| | (_| | (_| |  __/ |_   \ V / / __/ 
 *   \_/\_/ |_|\__,_|\__, |\___|\__|___\_/ |_____|
 *                   |___/     © npoxop.sochi 2022
 */
$nav = (object)[
	'src' => 'mecs',
	'inc' => '../',
]; ?>
<?php include_once($nav->inc.'config.php'); ?>
<!DOCTYPE html>
<html id="bil" lang="ru" ng-app="bilpro" ng-controller="bilController">
<head>
	<title>{{localization.mecs.title}}</title>
	<?php include($nav->inc.'parts/meta.php'); ?>
	<?php include($nav->inc.'parts/css.php'); ?>
	<?php include($nav->inc.'parts/js.php'); ?>
</head>
<body class="mecs-page">	
	<div class="bil-main">
		<div growl></div>
		<div class="bil-version DIG">v<?=$version;?> <?=$updated;?></div>
		
		<div class="bil-header" ng-controller="bilHeader">
			<?php include($nav->inc.'parts/mobile-header.php'); ?>
			<div class="bil-wrapper">
				<div class="bil-title">
					<h1 class="fade-in">{{translate.mecs.title}}</h1>
					<?php include($nav->inc.'parts/menu.php'); ?>
					<?php include($nav->inc.'parts/auth.php'); ?>
					<?php include($nav->inc.'parts/auth-popup.php'); ?>
				</div>
			</div>
		</div>
		<div class="bil-content">
			<div class="ghost-select"><span></span></div>
			
			<div class="bil-wrapper">
				<div id="grid" class="mecsList itemList clearfix" ng-show="loaded && mecs.length">
					<div class="mecItem item columnContent mec-{{mec.actionEventId}}" ng-click="OpenMec(mec.actionEventId)" ng-repeat="mec in mecs">
						<div class="item-info">
							<div class="item-image">
								<img ng-src="{{mec.smallPosterUrl}}" image-onload="imageOnload()">
							</div>
							<div class="item-title">{{mec.actionName}}</div>
						</div>
						<div class="item-bottom">
							<div class="item-actions">
								<div class="btn btn-default item-btn">{{translate.mecs.ins}}</div>
							</div>
						</div>
					</div>
				</div>
				
				<div class="no-results" ng-show="loaded && !mecs.length">{{translate.mecs.no_results}}</div>
				
				<div class="loader-wrapper" ng-show="!loaded">
					<?php include($nav->inc.'parts/loader.php'); ?>
				</div>
			</div>
		</div>
		<?php include($nav->inc.'parts/basket-popup.php'); ?>
	</div>
</body>
</html>
